.wp-block{
	&-audio,
	&-gallery,
	&-image,
	&-table,
	&-video{
		> figcaption{
			@extend .w-100;
			@extend .text-center;
			@extend .text-muted;
			@extend .mb-3;
		}
	}

	&-code{
		@extend .bg-dark;
		@extend .text-white;
		@extend .p-3;
	}

	&-file{
		@include transition;
		@extend .p-4;
		@extend .shadow-sm;
		@extend .d-flex;
		@extend .align-items-center;
		@extend .mt-5;

		transition-duration: .2s;
		background-color: $light;
		flex-direction: column;
		text-align: center;

		@include media-breakpoint-up( sm ){
			flex-direction: row;
			text-align: left;
		}

		&+ .wp-block-file{
			@extend .mt-1;
		}

		&:last-of-type{
			@extend .mb-5;
			&:last-child{
				@extend .mb-0;
			}
		}

		&:hover{
			cursor: pointer;
			background-color: $secondary;

			[data-fa-i2svg]{
				color: $white;
			}

			a{
				color: $white;
			}
		}

		// Trigger the icon replacement
		&:before{
			display: none;
			content: "\f56d";
			font-family: "Font Awesome 5 Pro";
		}

		// Actual styles on the icon
		[data-fa-i2svg]{
			@include transition;
			transition-duration: .2s;
			font-size: 2rem;
			color: red;
			margin-right: 0;
			margin-bottom: 1rem;

			@include media-breakpoint-up( sm ){
				margin-right: 1rem;
				margin-bottom: 0;
			}
		}

		a{
			@include transition;
			transition-duration: .2s;
			color: $dark;
		}

		&__button{
			display: none; /* Replaced with "click to download" behaviour */
		}
	}

	&-gallery{
		> figcaption{
			margin-top: -0.5rem;
		}
	}

	&-image{
		@extend .my-5;

		&:last-child{
			@extend .mb-0;
		}
	
		img{
			@extend .w-100;
			@extend .img-fluid;
		}

	}

	&-media-text{
		&__media > img{
			object-fit: cover;
		}
	}

	&-pullquote{
		@extend .border-top;
		@extend .border-bottom;
		@extend .border-secondary;
		border-top-width: 5px !important;
		border-bottom-width: 5px !important;

		cite{
			@extend .text-muted;
		}
	}

	&-table{
		@extend .table-responsive;

		> table{
			@extend .table;
		}

		> figcaption{
			margin-top: -1rem;
		}

		&.is-style-stripes > table{
			@extend .table-striped;
		}
	}

	&-quote{
		@extend .blockquote;
		@extend .border-left;
		@extend .border-light;
		@extend .py-2;
		@extend .pl-3;
		border-left-width: 10px !important;

		cite{
			@extend .blockquote-footer;
		}
	}
}

#wpadminbar{
	z-index: 1028; /* Leave offcanvas (1029) on top */
}

.widget-area{
	.widget{
		@extend .mb-5;
	}
}